# 获取学校的年级和班级信息

## 修改记录


## 接口定义

    /v1/get_school_grade_and_class
    GET

## Request

API请求参数

### Head

     X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{equipmentId}/{activeAccount}
     X-Sign               {String}        rsa(timestamp) 加密

### Form Parameters

 schoolId          {String}

## Response


### Example


**Command**

##### Android

    curl -X GET \
        -H "X-DeviceInformation: 11%2f22%2flh0831%2flh0831" \
        -H "X-Sign: EFzdiDsZ04XtGMwx2x3qKh9zi5gfm/AsWccmYlftjAMI8qml0Epb0hRlSyC0ei8cxtsHG7jKi8hx6kDpcRyRGRH+dVsaaO4I2VWw2hilAm4+D1jqK66flVqQBEI+5Oq5RqFZkedGYt4kdcjKzip8NlUWlqRuRUFkBOlswjgxLL8=" \
       http://localhost:8080/v1/get_school_grade_and_class

**Output**

    {
        "errno": 200,
        "data": {
            [
                {
                    "gradeId": 11,
                    "gradeName": "6",
                    "list": [
                        {
                            "classId": 1824,
                            "className": "3",
                            "orderlist": 0
                        },
                        {
                            "classId": 1823,
                            "className": "2",
                            "orderlist": 0
                        }
                    ]
                }
            ]
        },
        "msg": "success"
    }