# 预警提醒

## 修改记录


## 接口定义

    /partner/get_warning_notification
    GET


>视力预警提醒(vision_warning):上次正常，本次不良 或 本次任意眼下降0.2及以上
>BMI预警提醒(bmi_warning):BMI不在正常范围给予提醒
>提醒数据拉过一次就不会再有了，直到下次有新的预警数据产生



## Request

API请求参数

### Head
        X-LoginType          {String}       partner
        X-AppKey             {String}      appKey
        X-Sign               {String}       aes(appKey+'_'+时间戳) 加密，密码是appSecret

## Response


### Example


**Command**

    curl -X GET \
        -H "X-LoginType: partner" \
        -H "X-Sign: tna8CtdlphD7RcgwXYHWsQ==" \
          https://t.api.test.iouou.cn/partner/get_warning_notification


**Output**

    {
        "vision_warning":[
            {
                 "studentNumber":"123123123123",
                "lastLeftEye":4.8,
                "lastRightEye":4.8,
                "lastTestTime":1566357456,
                "thisLeftEye":4.8,
                "thisRightEye":4.5,
                "thisTestTime":1566357456,
                "level":"轻度不良",
            }],
       "bmi_warning":[
            {
                "studentNumber":"123123123123",
                "height":172,
                "weight":70,
                "bmi":24,
                "level":"超重",
                "testTime":1566357456,
            }],
    }